cancel
Showing results for 
Search instead for 
Did you mean: 

Forms3.0 on HP-UX 11i

Bernhard Meier
Occasional Advisor

Forms3.0 on HP-UX 11i

Hello,
We want to run Forms3.0 on HP-UX 11i against an Oracle 8i Database.

First problem:

I have to relink Forms3.0 because I have to apply the unsupported Oracle patch 380655. The linker stops with the following messages:

make -f sqlforms30.mk install

/usr/ccs/bin/ld: Unsatisfied symbols:
shl_load (code)
shl_unload (code)
shl_findsym (code)
*** Error exit code 1

Do I have to set some switch for 32-bit mode? Without relinking Forms3.0 runs fine.

Second Problem:

On our HP3000-MPE/iX we had the Oracle environement variable ORACLE_FNKEYS_ON=TRUE (default) to activate the Softkeys on HP-Terminals when running forms. This method does not work on HP-UX 11i. Is there an alternate method/switch or doesn't it work at all? We have no documentation for Forms3.0 on HP-UX.

Kind regards
Bernhard

7 REPLIES
harry d brown jr
Honored Contributor

Re: Forms3.0 on HP-UX 11i

Bernhard,

You can't be serious?

3.0 isn't even Y2K compliant!!!!

There are commercial services available to convert your forms3.0 to a more current release.


live free or die
harry
Live Free or Die
Ceesjan van Hattum
Esteemed Contributor

Re: Forms3.0 on HP-UX 11i

I suppose your oracle-version exceeds 7.2.x. Forms3.0 is not availble beyond oracle 7.2.x
And installing unsupported patches introducing new problems just for softkeys is a thing i wouldn't do..
Just look for a new version of Forms..
Forms4.0 works just fine with Oracle 8.

Regards,
Ceesjan
Yogeeraj_1
Honored Contributor

Re: Forms3.0 on HP-UX 11i

Hi,

Forms3.0 is no longer supported!! Hence no documents will be available on the Oracle Site. Check your CDs, there should be one containing all documentations.

Still you can use it to connect to an Oracle8i Database. (9i - you cannot!)

We are running it on HP-UX 10.20 and connecting to Oracle 8i (8.1.7).

We have not tried it on Hp-UX 11.11 since we are migrating all these forms to Forms 9 (9iAS release 2)

Maybe it could be a 32bit/64 bit issue...

Hope this Helps!
Regards
Yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
Bernhard Meier
Occasional Advisor

Re: Forms3.0 on HP-UX 11i

Hello,

thank you for your advice. We will migrate or rewrite our application later.

I solved the fist problem and Form3.0 is running fine on HP-UX 11i with the unsupported ORACLE patch.

I had to insert into the make skript sqlforms30.mk the option "-Wl,-E -Wl,+n -l:libdld.sl" for the linker.

The terminal problem is not yet solved.

Kind regards
Bernhard

Anju Goel
Occasional Visitor

Re: Forms3.0 on HP-UX 11i

Hello Bernhard

We are wanting to do the same thing as you ie put a forms 3.0 application on to Oracle 8i database on HP-UX 11. Would it be possible for you to give a detailed description of the method you followed.

Rgds
Anju
Bernhard Meier
Occasional Advisor

Re: Forms3.0 on HP-UX 11i

Hello Anju,

the normal installation of Form3.0 without relinking succeeded whithout any problem. Forms was running. Now we had to apply the unsupported patch 380655, which you can order at your technical Oracle support, because of the changed rowid-format in Oracle 8i. We followed the instructions for the patch installation until the point, where we had to relink the forms application with the command "make -f sqlforms30.mk install". To solve the error of unsatisified symbols, I added to the variable LDFLAGS in the sqlforms30.mk file the following option -Wl,-E -Wl,+n -l:libdld.sl giving this result:

LDFLAGS=-Wl,-aarchive -Wl,-E -Wl,+n -l:libdld.sl -L$(LIBHOME)

Afterwards the make-script run without errors and Forms3.0 was relinked. I tested it with multirow blocks with success.

If you have any further question you may send me an e-mail.

Kind regards
Bernhard
vinarudawa
Occasional Visitor

Re: Forms3.0 on HP-UX 11i

Hello Mr. Bernhard,

how can we get the patch 380655?..We have Oracle 8i licence copy ..

Vina